package com.cordial.api

object C {
    const val LOG_TAG = "CordialSdkLog"
    const val OS = "android"
    const val DEVICE_ID = "deviceId"
    const val PRIMARY_KEY = "primaryKey"
    const val TIMESTAMP = "timestamp"
    const val EVENT = "event"
    const val PROPERTIES = "properties"
    const val MC_ID = "mcID"
    const val MC_TAP_TIME = "mcTapTime"
    const val FAILED_EVENTS = "FAILED_EVENTS"
    const val EVENTS = "EVENTS"
    const val REMOTE_MESSAGE = "REMOTE_MESSAGE"
    const val TOKEN = "token"
    const val NOTIFICATION_CHANNEL_ID = "crdl_notification_channel"
    const val EVENT_NAME_APP_OPEN = "crdl_app_open"
    const val EVENT_NAME_APP_CLOSE = "crdl_app_close"
    const val EVENT_NAME_APP_INSTALL = "crdl_app_install"
    const val EVENT_NAME_PUSH_NOTIFICATION_DELIVERED_FOREGROUND = "crdl_notification_delivered_in_foreground"
    const val EVENT_NAME_PUSH_NOTIFICATION_DELIVERED_BACKGROUND = "crdl_notification_delivered_in_background"
    const val EVENT_NAME_PUSH_NOTIFICATION_APP_OPEN_VIA_TAP = "crdl_notification_tap"
    const val EVENT_NAME_PUSH_NOTIFICATION_DISMISSED = "crdl_notification_dismissed"
    const val EVENT_NAME_DEEP_LINK_APP_OPEN = "crdl_deep_link_open"
    const val EVENT_NAME_INBOX_MESSAGE_READ = "crdl_inbox_read"
    const val CART_ITEMS = "cartitems"
    const val PRODUCT_ID = "productID"
    const val NAME = "name"
    const val SKU = "sku"
    const val CATEGORY = "category"
    const val URL = "url"
    const val DESCRIPTION = "description"
    const val QTY = "qty"
    const val ITEM_PRICE = "itemPrice"
    const val SALE_PRICE = "salePrice"
    const val ATTR = "attr"
    const val ATTRIBUTES = "attributes"
    const val IMAGES = "images"
    const val ORDER = "order"
    const val ORDER_ID = "orderID"
    const val STATUS = "status"
    const val STORE_ID = "storeID"
    const val CUSTOMER_ID = "customerID"
    const val PURCHASE_DATE = "purchaseDate"
    const val SHIPPING_ADDRESS = "shippingAddress"
    const val BILLING_ADDRESS = "billingAddress"
    const val ITEMS = "items"
    const val TAX = "tax"
    const val SHIPPING_AND_HANDLING = "shippingAndHandling"
    const val ADDRESS = "address"
    const val CITY = "city"
    const val STATE = "state"
    const val POSTAL_CODE = "postalCode"
    const val COUNTRY = "country"
    const val CORDIAL_EMPTY_CART_ITEM = "cordial_empty_cart_item"
    const val LON = "lon"
    const val LAT = "lat"
    const val SUBSCRIBE_STATUS = "subscribeStatus"
    const val IN_APP_MESSAGE = "IN_APP_MESSAGE"
    const val EVENT_NAME_IN_APP_MESSAGE_SHOWN = "crdl_in_app_message_shown"
    const val EVENT_NAME_IN_APP_MESSAGE_AUTO_DISMISS = "crdl_in_app_message_auto_dismiss"
    const val EVENT_NAME_IN_APP_MESSAGE_MANUAL_DISMISS = "crdl_in_app_message_manual_dismiss"
    const val IN_APP_BANNER_SHOW_TIMER = 15000L
    const val STREET_ADDRESS = "street_address"
    const val STREET_ADDRESS2 = "street_address2"
    const val GEO_POSTAL_CODE = "postal_code"
    const val TIMEZONE = "tz"
    internal const val JWT_TOKEN_EXPIRED = "The jwt token has expired"
    internal const val ACCESS_DENIED = "Access denied"
    internal const val PROVIDED_TOKEN_EXPIRED = "The provided token has expired"
    const val MARK_AS_READ_IDS = "markAsReadIds"
    const val MARK_AS_UNREAD_IDS = "markAsUnReadIds"
    const val PAGE = "page"
    const val PER_PAGE = "perPage"
    const val FILTER_IS_READ = "filters[read]"
    const val FILTER_BEFORE_DATE = "filters[sentAt][lt]"
    const val FILTER_AFTER_DATE = "filters[sentAt][gt]"
    const val DEFAULT_MAX_INBOX_MESSAGE_CONTENT_CACHE_SIZE = 10 * 1024 * 1024
    const val DEFAULT_MAX_CACHEABLE_INBOX_MESSAGE_CONTENT_SIZE = 200 * 1024
    const val PRODUCTION_BASE_URL = "https://events-stream-svc.cordial.com"
    const val NO_LOCATION_HEADER_ERROR = "Location header is absent"
    const val LOCATION = "Location"
    const val MC_ID_HEADER = "x-mcid"
    const val TEST_MC_ID_HEADER = "x-message-istest"
    const val DEEP_LINK_REDIRECT_LIMIT = 3
    const val URL_EXPIRE_AT = "urlExpireAt"
    const val IN_APP = "inApp"
    const val TIMESTAMPS_NOT_FOUND_ERROR_CODE = "no_timestamps_file"
    const val EVENTS_QTY = 1000
    const val EVENTS_STREAM = "events-stream"
    const val MESSAGE_HUB = "message-hub"
    const val FETCH_INBOX_CONTACT_IS_NOT_REGISTERED_ERROR = "Contact is not registered, cannot fetch inbox messages"
    const val FETCH_INBOX_MESSAGE_CONTACT_IS_NOT_REGISTERED_ERROR = "Contact is not registered, cannot fetch inbox message"
    const val FETCH_INBOX_MESSAGE_CONTENT_CONTACT_IS_NOT_REGISTERED_ERROR = "Contact is not registered, cannot fetch inbox message content"
    const val NO_NETWORK_ERROR = "No network connection"
    const val HTTPS_URL_SCHEME = "https"
    const val HTTP_URL_SCHEME = "http"
    const val COOKIE_ONLY = "cookie-only"
    const val DEFAULT_TEST_URL = "http://test.url"
    const val DEFAULT_ANDROID_PACKAGE = "android"
    const val NOTIFICATION_CHANNEL_SOUND_GROUP_ID = "crdl_notification_sound_channel_group"
    const val NOTIFICATION_CHANNEL_SILENT_ID = "crdl_notification_silent_on_foreground"
    const val MINIMUM_IN_APP_HEIGHT_PERCENT = 16
    const val DEEP_LINK_URL = "deepLinkUrl"
    const val NOTIFICATION_CAROUSEL_ITEM_ACTION = "notification_carousel_item_action"
    const val NOTIFICATION_ID = "notification_id"
    const val BUNDLE = "bundle"
    const val CAROUSEL_BYTE_LIMIT = 1024*1024*4
    internal const val EVENT_DEVICE_NOTIFICATIONS_MANUAL_OPTIN = "crdl_device_notifications_manual_optin"
    internal const val EVENT_DEVICE_NOTIFICATIONS_MANUAL_OPTOUT = "crdl_device_notifications_manual_optout"
    const val NOTIFICATION_PERMISSION_EDUCATIONAL_UI_SETTINGS = "notification_permission_educational_ui_settings"
    const val NOTIFICATION_CATEGORIES_ATTRIBUTE_ID = "crdl_notification_categories"
    const val NOTIFICATION_PERMISSION_EDUCATIONAL_UI_MODE = "notification_permission_educational_ui_mode"
    const val PUSH_TOKEN = "pushToken"
    const val IS_ACTIVITY_RESTARTED = "isActivityRestarted"
}